/*******************************************************************************
 shot-fa.js:

 $Author: dmc $
 $Revision: 3223 $
 $Date: 2023-11-16 18:47:40 -0400 (Thu, 16 Nov 2023) $
 $HeadURL: http://support2.silvermountaintargets.com/svn/smt/smt.common.lib/lib/messagehandlerJSON/cmsg.js $
 $Id: cmsg.js 3223 2023-11-16 22:47:40Z dmc $
*******************************************************************************/

/*eslint camelcase: "error"*/

var EventEmitter    = require( "events" ).EventEmitter;
var util            = require( "util" );
var log             = require( "log4js" ).getLogger( "cmsgHandler" );

function cmsgHandler() {

    this.name = "gsdp-cmsg";

}

util.inherits( cmsgHandler, EventEmitter );

cmsgHandler.prototype.onMessage = function( jsondata, fldname ) {
    var fldvalue = jsondata[fldname];

    console.log("cmsgHandler .onMessage,fldvalue=",fldvalue,"jsondata=",jsondata)

    this.emit( fldvalue, jsondata );
};

module.exports = cmsgHandler;